Skip to main content
POST
https://connect.jobo.world
/
api
/
auto-apply
/
profiles
curl -X POST https://connect.jobo.world/api/auto-apply/profiles \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY" \
  -d '{
    "name": "John - SWE Profile",
    "first_name": "John",
    "last_name": "Doe",
    "email": "john.doe@example.com",
    "phone": "+1-555-123-4567",
    "linkedin_url": "https://linkedin.com/in/johndoe",
    "city": "San Francisco",
    "state": "CA",
    "country": "US",
    "zip_code": "94105",
    "work_authorization": "US Citizen",
    "requires_sponsorship": false,
    "highest_degree": "Bachelor'\''s",
    "field_of_study": "Computer Science",
    "university": "Stanford University",
    "graduation_year": "2020",
    "years_of_experience": "5",
    "current_job_title": "Software Engineer",
    "current_company": "Acme Corp",
    "desired_salary": "150000",
    "salary_expectation_currency": "USD",
    "willing_to_relocate": true
  }'
{
  "id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
  "name": "John - SWE Profile",
  "first_name": "John",
  "last_name": "Doe",
  "email": "john.doe@example.com",
  "phone": "+1-555-123-4567",
  "linkedin_url": "https://linkedin.com/in/johndoe",
  "website_url": null,
  "portfolio_url": null,
  "address": null,
  "city": "San Francisco",
  "state": "CA",
  "country": "US",
  "zip_code": "94105",
  "resume_text": null,
  "resume_file_path": null,
  "cover_letter_template": null,
  "work_authorization": "US Citizen",
  "requires_sponsorship": false,
  "gender": null,
  "ethnicity": null,
  "veteran_status": null,
  "disability_status": null,
  "desired_salary": "150000",
  "salary_expectation_currency": "USD",
  "available_start_date": null,
  "willing_to_relocate": true,
  "highest_degree": "Bachelor's",
  "field_of_study": "Computer Science",
  "university": "Stanford University",
  "graduation_year": "2020",
  "years_of_experience": "5",
  "current_job_title": "Software Engineer",
  "current_company": "Acme Corp",
  "custom_answers": null,
  "created_at": "2026-03-01T12:00:00Z",
  "updated_at": "2026-03-01T12:00:00Z"
}
name
string
required
Profile name for your reference (e.g., "John's Software Engineer Profile").
first_name
string
required
Applicant’s first name.
last_name
string
required
Applicant’s last name.
email
string
required
Contact email address.
phone
string
Phone number.
linkedin_url
string
LinkedIn profile URL.
website_url
string
Personal website URL.
portfolio_url
string
Portfolio URL.
address
string
Street address.
city
string
City.
state
string
State or region.
country
string
Country.
zip_code
string
ZIP or postal code.
resume_text
string
Plain text resume content.
resume_file_path
string
Path to a resume file.
cover_letter_template
string
Cover letter template text.
work_authorization
string
Work authorization status (e.g., "US Citizen", "Green Card", "H1-B").
requires_sponsorship
boolean
Whether the applicant requires visa sponsorship.
gender
string
Gender (for EEO questions).
ethnicity
string
Ethnicity (for EEO questions).
veteran_status
string
Veteran status.
disability_status
string
Disability status.
desired_salary
string
Desired salary (e.g., "120000").
salary_expectation_currency
string
Salary currency code (e.g., "USD", "EUR").
available_start_date
string
Earliest available start date (e.g., "2026-04-01").
willing_to_relocate
boolean
Whether the applicant is open to relocation.
highest_degree
string
Highest education degree (e.g., "Bachelor's", "Master's", "PhD").
field_of_study
string
Field of study (e.g., "Computer Science").
university
string
University or school name.
graduation_year
string
Graduation year (e.g., "2022").
years_of_experience
string
Years of professional experience (e.g., "5").
current_job_title
string
Current job title.
current_company
string
Current employer.
custom_answers
object
Key-value pairs for custom form questions (e.g., {"How did you hear about us?": "LinkedIn"}).

id
string
Unique profile identifier (UUID).
name
string
Profile name.
first_name
string
Applicant’s first name.
last_name
string
Applicant’s last name.
email
string
Contact email.
phone
string
Phone number.
linkedin_url
string
LinkedIn profile URL.
website_url
string
Personal website URL.
portfolio_url
string
Portfolio URL.
address
string
Street address.
city
string
City.
state
string
State or region.
country
string
Country.
zip_code
string
ZIP or postal code.
resume_text
string
Plain text resume content.
resume_file_path
string
Path to resume file.
cover_letter_template
string
Cover letter template text.
work_authorization
string
Work authorization status.
requires_sponsorship
boolean
Whether sponsorship is needed.
gender
string
Gender.
ethnicity
string
Ethnicity.
veteran_status
string
Veteran status.
disability_status
string
Disability status.
desired_salary
string
Desired salary.
salary_expectation_currency
string
Salary currency.
available_start_date
string
Earliest start date.
willing_to_relocate
boolean
Open to relocation.
highest_degree
string
Highest education degree.
field_of_study
string
Field of study.
university
string
University or school name.
graduation_year
string
Graduation year.
years_of_experience
string
Years of professional experience.
current_job_title
string
Current job title.
current_company
string
Current employer.
custom_answers
object
Key-value pairs for custom form questions.
created_at
string
ISO 8601 timestamp of when the profile was created.
updated_at
string
ISO 8601 timestamp of when the profile was last updated.
curl -X POST https://connect.jobo.world/api/auto-apply/profiles \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY" \
  -d '{
    "name": "John - SWE Profile",
    "first_name": "John",
    "last_name": "Doe",
    "email": "john.doe@example.com",
    "phone": "+1-555-123-4567",
    "linkedin_url": "https://linkedin.com/in/johndoe",
    "city": "San Francisco",
    "state": "CA",
    "country": "US",
    "zip_code": "94105",
    "work_authorization": "US Citizen",
    "requires_sponsorship": false,
    "highest_degree": "Bachelor'\''s",
    "field_of_study": "Computer Science",
    "university": "Stanford University",
    "graduation_year": "2020",
    "years_of_experience": "5",
    "current_job_title": "Software Engineer",
    "current_company": "Acme Corp",
    "desired_salary": "150000",
    "salary_expectation_currency": "USD",
    "willing_to_relocate": true
  }'
{
  "id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
  "name": "John - SWE Profile",
  "first_name": "John",
  "last_name": "Doe",
  "email": "john.doe@example.com",
  "phone": "+1-555-123-4567",
  "linkedin_url": "https://linkedin.com/in/johndoe",
  "website_url": null,
  "portfolio_url": null,
  "address": null,
  "city": "San Francisco",
  "state": "CA",
  "country": "US",
  "zip_code": "94105",
  "resume_text": null,
  "resume_file_path": null,
  "cover_letter_template": null,
  "work_authorization": "US Citizen",
  "requires_sponsorship": false,
  "gender": null,
  "ethnicity": null,
  "veteran_status": null,
  "disability_status": null,
  "desired_salary": "150000",
  "salary_expectation_currency": "USD",
  "available_start_date": null,
  "willing_to_relocate": true,
  "highest_degree": "Bachelor's",
  "field_of_study": "Computer Science",
  "university": "Stanford University",
  "graduation_year": "2020",
  "years_of_experience": "5",
  "current_job_title": "Software Engineer",
  "current_company": "Acme Corp",
  "custom_answers": null,
  "created_at": "2026-03-01T12:00:00Z",
  "updated_at": "2026-03-01T12:00:00Z"
}